E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot::Slot3< P1, P2, P3 > Class Template Reference

A slot class for three-parameter callbacks. More...

`#include <gslot.h>`

## Public Member Functions
| Slot3 (SlotImpBase *imp, void(*op)(SlotImpBase *, P1, P2, P3))
void | callback (P1 p1, P2 p2, P3 p3)
| Slot3 (const Slot3< P1, P2, P3 > &other)
void | swap (Slot3< P1, P2, P3 > &rhs)
void | operator= (const Slot3< P1, P2, P3 > &rhs)
const SlotImpBase * | base () const

## Detailed Description

### template<typename P1, typename P2, typename P3>
class G::Slot::Slot3< P1, P2, P3 >

A slot class for three-parameter callbacks.

Definition at line 389 of file gslot.h.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gslot.h